# Manuel d'utilisation

Bienvenue dans le manuel d'utilisation de LogarithmPlotter. Nous allons couvrir ici la plupart des fonctionnalités de LogarithmPlotter et comment les utiliser.


[Online version](https://git.ad5001.eu/Ad5001/LogarithmPlotter/wiki/Manuel-d'utilisation)

<span id="Manuel-d'utilisation-%3A-Chapitre-0"></span>
## Introduction : Comment fonctionne LogarithmPlotter
LogarithmPlotter est un logiciel permettant de créer des tracés et des graphiques avec une [échelle logarithmique](https://en.wikipedia.org/wiki/Logarithmic_scale), le type le plus connu étant les [diagrammes de Bode](https://en.wikipedia.org/wiki/Bode_plot), que LogarithmPlotter aide à créer sous forme asymptotique. Bien que les échelles logarithmiques soient le principal intérêt de LogarithmPlotter, ce logiciel supporte également les échelles non logarithmiques, ce qui peut être nécessaire pour utiliser certaines fonctions.


Pour ce faire, LogarithmPlotter utilise un système appelé Objets, qui peut vous sembler familier si vous avez utilisé d'autres logiciels de traçage comme [Geogebra](https://geogebra.org).

Un "objet" est tout ce qui peut être représenté sur le graphique. LogarithmPlotter vous permet de créer 9 types d'objets :


<table>
    <thead>
        <tr>
            <th>Symbole</th>
            <th>Type</th>
            <th>Fonctionne bien dans l'échelle logarithmique</th>
            <th>Fonctionne bien dans l'échelle non logarithmique</th>
            <th><a href="#Manuel-d'utilisation-%3A-Chapitre-3" >Autorise le positionnement du pointeur</a></th>
            <th>Commentaire</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/objects/Point.svg" alt="symbole de point"></td>
            <td>Points</td>
            <td>✓</td>
            <td>✓</td>
            <td>✓</td>
            <td></td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/objects/Text.svg" alt="symbole de texte"></td>
            <td>Textes</td>
            <td>✓</td>
            <td>✓</td>
            <td>✓</td>
            <td>Utilisés comme textes supplémentaires si nécessaire</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/objects/Function.svg" alt="symbole de fonction"></td>
            <td>Fonctions</td>
            <td>✓</td>
            <td>✓</td>
            <td>X</td>
            <td></td>
        </tr>
        <tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/objects/Gain%20Bode.svg" alt="symbole de gain de bode"></td>
            <td>Gains de Bode</td>
            <td>✓</td>
            <td>X</td>
            <td>X</td>
            <td></td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/objects/Phase%20Bode.svg" alt="symbole de phase bode"></td>
            <td>Phases de Bode</td>
            <td>✓</td>
            <td>X</td>
            <td>X</td>
            <td></td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/objects/X%20Cursor.svg" alt="symbole du curseur x"></td>
            <td>Curseurs X</td>
            <td>✓</td>
            <td>✓</td>
            <td>✓</td>
            <td>Curseurs sur l'axe des abscisses</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/objects/Sequence.svg" alt="symbole de suites"></td>
            <td>Suites</td>
            <td>X</td>
            <td>✓</td>
            <td>X</td>
            <td>Il y a plusieurs problèmes de performance sur l'échelle logarithmique liés au fait de devoir calculer beaucoup trop de valeurs.<br>Vous devriez utiliser des fonctions définies sur N comme substitut si possible.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/objects/Repartition.svg" alt="symbole de répartition"></td>
            <td>(Fonctions de) Répartition</td>
            <td>✓</td>
            <td>✓</td>
            <td>X</td>
            <td></td>
        </tr>
    </tbody>
</table>

LogarithmPlotter créera également ses propres objets automatiquement lorsque cela est nécessaire (par exemple, les sommes des gains et des phases de bode).

<span id="Manuel-d'utilisation-%3A-Chapitre-1"></span>
## L'interface
### Premier démarrage
![Image du premier écran de démarrage de LogarithmPlotter](https://apps.ad5001.eu/img/fr/logarithmplotter/welcome.png)

Lorsque LogarithmPlotter démarre pour la première fois ou lorsqu'il a été mis à jour, vous serez accueilli par un écran similaire à celui-ci. Il vous permet de voir l'historique des modifications, ainsi que de configurer les options globales de LogarithmPlotter.

- L'option "Vérifier les mises à jour au démarage" fait exactement ce qu'elle dit faire. Si cette option est activée, LogarithmPlotter vérifiera si une nouvelle version a été publiée à chaque fois qu'il démarre.
- "Réinitialiser la pile d'action "Rétablir" lorsqu'une nouvelle action est ajoutée à l'historique" : si cette option est désactivée, si vous vous rendez dans une section précédente de l'[historique](#onglet-historique) et effectuez une modification, les modifications plus récentes dans la section rétablir ne seront pas écrasées.

Notez que tous ces paramètres peuvent être modifiés à tout moment à partir du menu "Paramètres" en haut de la fenêtre.


### Aperçu de l'interface principale
![Image de l'interface principale de LogarithmPlotter](https://apps.ad5001.eu/img/fr/logarithmplotter/empty.png)

L'interface principale de LogarithmPlotter est divisée en 2 sections, la barre latérale à gauche, et le graphique à droite.    
La barre latérale vous permet de modifier le diagramme et d'interagir avec les objets tandis que le graphique est l'endroit où vous voyez vos modifications et les objets appliqués.

La barre latérale est composée de 3 onglets : Objets, Paramètres et Historique dont chacun sera expliqué dans les sections ci-dessous.

### Onglet Objets
![Image de l'onglet objets dans un exemple de graphique](https://apps.ad5001.eu/img/fr/logarithmplotter/objects.webp)

L'onglet Objets permet d'interagir, de créer et de supprimer les objets du graphique.   
Il est composé de deux parties, les listes d'objets, et la grille de création d'objets.    
Pour créer un objet, vous pouvez cliquer sur l'un des boutons en bas de l'onglet, ce qui ouvrira un [éditeur de propriétés d'objets](#Manuel-d'utilisation-%3A-Chapitre-2) pour cet objet.

Vous pouvez le rouvrir à tout moment en cliquant sur la ligne associée à l'objet que vous souhaitez modifier.

Sur cette ligne, vous pouvez :
- Afficher ou masquer l'objet, en cliquant sur la □ case à cocher au début.
- (Sur les objets qui peuvent être repositionnés) Repositionner l'objet en cliquant sur le bouton ![position](https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/position.svg).
- Supprimez l'objet en utilisant le bouton ![poubelle](https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/delete.svg).
- Changer la couleur de l'objet en cliquant sur le cercle coloré à la fin de la ligne.

### Onglet Paramètres
![Image de l'onglet paramètres](https://apps.ad5001.eu/img/fr/logarithmplotter/settings.webp)
L'onglet Paramètres vous permet de modifier l'apparence du diagramme et de paramétrer correctement les axes. Il comporte également quelques boutons que l'on retrouve également dans la barre de menu.

Liste des paramètres :
<table>
    <thead>
        <tr>
            <th>Icône</th>
            <th>Nom</th>
            <th>Valeur par défaut</th>
            <th>Définition</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/settings/xzoom.svg" alt=" Icône de zoom en x"></td>
            <td>Zoom en X</td>
            <td>100</td>
            <td>
                Le zoom le long de l'axe des x.
                <ul>
                    <li>Pour les échelles non logarithmiques, le nombre de pixels pour une unité de 1.</li>
                    <li>Pour les échelles logarithmiques, représente une décade divisée par 2,3.</li>
                </ul>
            </td>
        </tr>
        <tr>
             <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/settings/yzoom.svg" alt=" Icône du zoom en Y"></td>
            <td>Zoom en Y</td>
            <td>10</td>
            <td>
                Le zoom le long de l'ordonnée, équivalent au nombre de pixels pour une unité de 1.
            </td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/settings/xmin.svg" alt="icône X minimum"></td>
            <td>Min X</td>
            <td>0,5</td>
            <td>
                Valeur minimale à dessiner sur l'axe des abscisses. En d'autres termes, c'est la valeur de x sur le côté gauche du graphique.
            </td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/settings/ymax.svg" alt="icône de l'Y maximal"></td>
            <td>Max Y</td>
            <td>25</td>
            <td>
                Valeur maximale à dessiner sur l'axe des ordonnées. En d'autres termes, c'est la valeur de y en bas du graphique.
            </td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/settings/xmax.svg" alt="Icône du maximum X"></td>
            <td>Max X</td>
            <td>Variable</td>
            <td>
                Valeur minimale à dessiner sur l'axe des abscisses. En d'autres termes, c'est la valeur de x sur le côté droit du graphique.
                <ul>
                    <li>Cette valeur est dynamique et dépend de la largeur de la fenêtre du LogarithmPlotter ainsi que du zoom en x que vous avez choisi.</li>
                    <li>Modifier de cette valeur aura pour effet de changer la valeur du zoom en x afin de s'adapter exactement aux dimensions spécifiées.</li>
                </ul>
            </td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/settings/ymin.svg" alt=" Icône de l'Y minimal"></td>
            <td>Min Y</td>
            <td>Variable</td>
            <td>
                Valeur minimale à dessiner sur l'axe des ordonnées. En d'autres termes, c'est la valeur de y en haut du graphique.
                <ul>
                    <li>Cette valeur est dynamique et dépend de la hauteur de la fenêtre du LogarithmPlotter ainsi que du zoom en y que vous avez choisi.</li>
                    <li>Modifier cette valeur changera la valeur du zoom y pour s'adapter exactement aux dimensions spécifiées.</li>
                </ul>
            </td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/settings/xaxisstep.svg" alt="Icône du pas de l'axe X"></td>
            <td>Pas de l'axe X</td>
            <td>4</td>
            <td>
                Pas de la graduation pour l'axe des abscisses.
                <ul>
                    <li>Uniquement pour l'échelle non logarithmique.</li>
                    <li>Cette valeur est une expression, vous pouvez utiliser pi ou e dans celle-ci.</li>
                </ul>
            </td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/settings/yaxisstep.svg" alt=" Icône du pas de l'axe Y"></td>
            <td>Pas de l'axe Y</td>
            <td>4</td>
            <td>
                Pas de la graduation pour l'axe des y.
                <ul>
                    <li>Cette valeur est une expression, vous pouvez utiliser pi ou e dans celle-ci.</li>
                </ul>
            </td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/settings/linewidth.svg" alt="Icône de largeur de ligne"></td>
            <td>Taille des lignes</td>
            <td>1</td>
            <td>
                Largeur (pourcentage) des lignes et des cercles d'objets représentés sur le graphique.
                <ul>
                    <li>Pour les lignes, il s'agit directement de la largeur de la ligne.</li>
                    <li>Pour les cercles, les diamètres sont de 8 + 2 × la taille des lignes.</li>
                </ul>
            </td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/settings/textsize.svg" alt="Icône de la taille du texte"></td>
            <td>Taille du texte (px)</td>
            <td>14</td>
            <td>
                Taille en pixel du texte affiché sur le graphique.
            </td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/settings/xlabel.svg" alt="Icône de l'étiquette de l'axe X"></td>
            <td>Label de l'axe X</td>
            <td>Vide</td>
            <td>
                Étiquette à utiliser sur l'axe des abscisses.
                <ul>
                    <li>Par exemple "x", "ω (rad/s)"...</li>
                    <li>Modifiable, vous pouvez mettre la valeur que vous voulez, tout en conservant un historique des étiquettes précédemment utilisées.</li>
                    <li>Note : cet historique n'est pas sauvegardé avec le fichier.</li>
                </ul>
            </td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/settings/ylabel.svg" alt="Icône étiquette de l'axe Y"></td>
            <td>Label de l'axe Y</td>
            <td>Vide</td>
            <td>
                Étiquette à utiliser sur l'axe des ordonnées.
                <ul>
                    <li>Par exemple: "y", "Magnitude (dB)", "φ (°)", "φ (rad)", "φ (deg)"...</li>
                    <li>Modifiable, vous pouvez mettre la valeur que vous voulez, tout en conservant un historique des étiquettes précédemment utilisées.</li>
                    <li>Note : cet historique n'est pas sauvegardé avec le fichier.</li>
                </ul>
            </td>
        </tr>
        <tr>
            <td></td>
            <td>Échelle logarithmique en X</td>
            <td>✓</td>
            <td>
                Lorsque cette option est cochée, l'axe des abscisses est représenté avec une échelle logarithmique, sinon, il est représenté avec une échelle non logarithmique.
            </td>
        </tr>
        <tr>
            <td></td>
            <td>Montrer la graduation X</td>
            <td>✓</td>
            <td>
                Si cette option est cochée, affichera les étiquettes à côté de l'axe des abscisses (10¹, 10², ... ou 4, 8, ...). Dans le cas contraire, elles seront cachées.
            </td>
        </tr>
        <tr>
            <td></td>
            <td>Montrer la graduation de l'axe Y</td>
            <td>✓</td>
            <td>
                Si cette option est cochée, affichera les étiquettes à côté de l'axe des ordonnées (0, 4, ...). Dans le cas contraire, elles seront cachées.
            </td>
        </tr>
    </tbody>
</table>

Liste des boutons :
- Copier dans le presse-papiers :
    - Copie une image du graphique dans le presse-papiers.
- Sauvegarder le graphe :
    - Sauvegarde le graphe dans le fichier actuellement ouvert, ou vous invite à choisir un emplacement si aucun fichier n'est ouvert...
- Sauvegarder le graphe sous :
    - Vous invite à choisir un emplacement pour sauvegarder le graphe, et le sauvegarde.
- Charger un graphe/Ouvrir un graphe :
    - Vous invite à choisir un fichier de diagramme LogarithmPlotter existant et l'ouvre dans la fenêtre actuelle.
    - **IMPORTANT** : Toutes les modifications non sauvegardées du diagramme précédent SERONT PERDUES si vous en ouvrez un nouveau. 

<span id="onget-historique"></span>
### Onglet Historique
![Image de l'onglet historique](https://apps.ad5001.eu/img/fr/logarithmplotter/history.webp)

L'onglet historique vous permet de voir la progression historique du graphique décomposé en "actions" relatives aux objets. La liste en elle-même se lit de haut en bas, du plus récent au plus ancien.

L'État actuel représente le point de l'historique dans lequel se trouve le graphique.

Toutes les actions qui se sont produites avant l'état actuel se trouvent dans la section "Annuler" de l'historique, sous l'état actuel. De même, les actions qui se sont produites après l'état actuel se trouvent dans la section "Rétablir", au-dessus de l'état actuel.

**Note** : Vous pouvez survoler les actions avec votre souris pour voir plus de détails à leur sujet.

Si vous voulez annuler/rétablir une action, cliquez dessus et elle sera annulée/rétablie après avoir annulé/rétabli l'action entre elles et l'état actuel. 

Il existe 7 types d'actions :
<table>
    <thead>
        <tr>
            <th>Symbole</th>
            <th>Type</th>
            <th>Condition d'apparition</th>
            <th>Couleur (Thème clair|Foncé)</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/history/create.svg" alt="signe plus"></td>
            <td>Création d'objet</td>
            <td>Lorsqu'un nouvel objet est créé</td>
            <td><img src="https://api.ad5001.eu/svg/colors/?c1=lime&c2=green" alt="citron vert/vert"></td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/history/delete.svg" alt="signe de croix"></td>
            <td>Suppression d'objet</td>
            <td>Lorsqu'un objet existant est supprimé</td>
            <td><img src="https://api.ad5001.eu/svg/colors/?c1=salmon&c2=darkred" alt="saumon/rouge foncé"></td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/history/visibility.svg" alt="Signe oculaire"></td>
            <td>Montrer/cacher l'objet</td>
            <td>Quand celui d'un objet est affiché ou caché</td>
            <td><img src="https://api.ad5001.eu/svg/colors/?c1=whitesmoke&c2=darkgray" alt="whitesmoke|darkgray">, <img src="https://api.ad5001.eu/svg/colors/?c1=lightgray&c2=dimgray" alt="gris clair/gris foncé"></td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/history/modify.svg" alt="Signe double flèche"></td>
            <td>Modifier un objet</td>
            <td>Lorsque la propriété d'un objet est modifiée</td>
            <td><img src="https://api.ad5001.eu/svg/colors/?c1=cyan&c2=darkslateblue" alt="cyan/bleu ardoise foncé"></td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/label.svg" alt="Label sign"></td>
            <td>Renommer un objet</td>
            <td>Lorsque le nom d'un objet est modifié</td>
            <td><img src="https://api.ad5001.eu/svg/colors/?c1=orange&c2=darkorange" alt="orange/orange foncé"></td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/appearance.svg" alt="Signe d'apparence"></td>
            <td>Coloration de l'objet</td>
            <td>Lorsque la couleur d'un objet est modifiée</td>
            <td><img src="https://api.ad5001.eu/svg/colors/?c1=plum&c2=purple" alt="prune/pourpre"></td>
        </tr>
    </tbody>
</table>

Vous pouvez également filtrer les actions de l'historique en utilisant la barre de recherche "Filtrer...".


**Note** : Les changements dans l'onglet des paramètres ne sont pas conservés dans l'onglet de l'historique. Cette fonctionnalité pourrait arriver dans une version future de LogarithmPlotter.

<span id="Manuel-d'utilisation-%3A-Chapitre-2"></span>
## Modifier les propriétés d'un objet
### Introduction
Chaque objet (comme vu dans le chapitre 0) possède des propriétés, qui sont au cœur de la personnalisation des objets. Il existe de nombreux types de propriétés pour des choses différentes, comme le nom des objets, la position des points, l'expression et les domaines des fonctions...

Lorsque vous créez un objet, ou lorsque vous cliquez dessus dans la liste des objets, vous ouvrez la boîte de dialogue Éditeur de Propriétés d'Objet.

<p align="center">
    
![Image du dialogue Editeur de Propriétés d'Objet](https://apps.ad5001.eu/img/en/logarithmplotter/object-settings.webp)

*Exemple de dialogue pour une fonction de répartition* 

</p>

Cette boîte de dialogue contient toutes les propriétés de l'objet qui peuvent être modifiées. Chaque propriété est mise à jour en temps réel. Vous pouvez faire glisser le dialogue pour voir les conséquences de vos modifications sur le graphique.

Ce dialogue peut être fermé soit en fermant la fenêtre, soit en cliquant sur le bouton "OK". Ces deux options permettent de sauvegarder toutes les modifications effectuées.

### Types de propriétés
Il existe beaucoup de propriétés, mais chacune d'entre elles est séparée en différents types.

<table>
    <thead>
        <tr>
            <th>Type</th>
            <th>Éditeur</th>
            <th>Exemple(s)</th>
            <th>Commentaire</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>Chaînes de caractères</td>
            <td>Saisie de texte en ligne</td>
            <td>Nom de l'objet</td>
            <td>À la fin de la saisie, le petit bouton "α" permet de saisir des symboles (lettres grecques et indices ou lettres et chiffres en indice ou en exposant).</td>
        </tr>
        <tr>
            <td>Nombres (entiers et décimaux)</td>
            <td>Saisie de texte en ligne</td>
            <td>Position de l'étiquette</td>
            <td>Toutes les entrées autres que les chiffres, un moins optionnel au début et un point au milieu sont interdites.</td>
        </tr>
        <tr>
            <td>Expressions</td>
            <td>Saisie de texte en ligne</td>
            <td>Position de point, expression de fonction</td>
            <td>Comme les chaînes de caractères, elles disposent du dialogue de saisie du caractère symbole. Vous pouvez y utiliser des valeurs comme e ou pi (peut aussi être noté π).</td>
        </tr>
        <tr>
            <td>Domaines et plages (ensembles)</td>
            <td>Saisie de texte en ligne</td>
            <td>Domaine et plage de fonctions</td>
            <td>Utiliser des expressions symboliques (par exemple R+* se traduira par ℝ⁺*, l'ensemble des nombres entiers strictement positifs), des plages (par exemple ]0;1[) ou même des ensembles (par exemple {0;3;4}).</td>
        </tr>
        <tr>
            <td>Booléens (vrai ou faux)</td>
            <td>Case à cocher</td>
            <td>Montrer la graduation sur ω<sub>0</sub> pour la magnitude de Bode</td>
            <td></td>
        </tr>
        <tr>
            <td>Énumérations (ensemble de valeurs prédéfinies)</td>
            <td>Sélection de choix</td>
            <td>Position et contenu de l'étiquette, style de point, passage de bode</td>
            <td></td>
        </tr>
        <tr>
            <td>Autres objets</td>
            <td>Sélection de choix</td>
            <td>Les ω<sub>0</sub> de Bode, les objets cibles du curseur X.</td></p> <td>
            <td>Contient une liste de tous les objets créés dans le type requis, et permet d'en créer un nouveau si nécessaire. L'objet cible du curseur X est une exception, car il peut cibler plusieurs types d'objets différents.</td>
        </tr>
        <tr>
            <td>Listes (listes de valeurs)</td>
            <td>Liste d'entrées de texte en ligne</td>
            <td>Non utilisé pour le moment</td>
            <td>Parfois permet la création de valeurs, à d'autres le nombre de valeurs est constant.</td>
        </tr>
        <tr>
            <td>Dictionnaires (liste de valeurs associées à une autre valeur)</td>
            <td>Liste de lignes ayant deux entrées de texte séparées par du texte</td>
            <td>Expressions et valeurs par défaut de suite, valeurs par défaut de fonction de répartition</td>
            <td>Parfois permet la création de valeurs, à d'autres le nombre de valeurs est constant.</td>
        </tr>
    </tbody>
</table>

Il peut également y avoir des commentaires et des notes entre les propriétés pour expliquer les particularités de certaines propriétés non intuitives.

### Propriétés des objets
La section suivante est une référence pour toutes les propriétés des objets. Elle est actuellement à jour avec LogarithmPlotter v0.1.8.

Référence :

- [Tous les objets](#pour-tous-les-objets)
- [Points](#points)
- [Textes](#textes)
- [Fonctions](#fonctions)
- [Gains de Bode](#bode-magnitudes)
- [Somme des gain de Bode](#somme-des-gains-de-bode)
- [Phases de Bode](#bode-phases)
- [Somme des phases de Bode](#somme-des-phases-de-bode)
- [Curseurs X](#curseurs-x)
- [Suites](#suites)
- [Répartitions](#repartitions)

#### Pour tous les objets

<table>
    <thead>
        <tr>
            <th>Icône</th>
            <th>Propriété</th>
            <th>Type</th>
            <th>Valeur</th>
            <th>Commentaire</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/label.svg" alt="icône d'étiquette"></td>
            <td>Nom</td>
            <td>Chaîne de caractères</td>
            <td>Ne doit pas être le même pour deux objets.</td>
            <td>Cette valeur représente l'objet.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/label.svg" alt="icône d'étiquette"></td>
            <td>Contenu de l'étiquette</td>
            <td>Énumération</td>
            <td>
                <ul>
                    <li>vide: Étiquette caché</li>
                    <li>nom: Nom de l'objet</li>
                    <li>nom + valeur: Nom de l'objet et sa valeur (généralement en "nom = valeur")</li>
                </ul>
            </td>
            <td>Généralement utilisé avec une propriété de positionnement (position de l'étiquette ou position X de l'étiquette).</td>
        </tr>
    </tbody>
</table>

<span id="points"></span>

#### ![Icône](https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/objects/Point.svg) Points

<table>
    <thead>
        <tr>
            <th>Icône</th>
            <th>Propriété</th>
            <th>Type</th>
            <th>Valeur</th>
            <th>Commentaire</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/position.svg" alt="Icône de position"></td>
            <td>X</td>
            <td>Expression</td>
            <td>Par défaut : 1</td>
            <td>La position du point sur l'axe des abscisses.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/position.svg" alt="Icône de position"></td>
            <td>Y</td>
            <td>Expression</td>
            <td>Par défaut : 0</td>
            <td>La position du point sur l'axe des ordonnées.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/arrow.svg" alt="Icône de toutes les directions"></td>
            <td>Position de l'étiquette</td>
            <td>Enumeration</td>
            <td>
                <ul>
                    <li>↑ Au dessus</li>
                    <li>↓ En dessous</li>
                    <li>← À gauche</li>
                    <li>→ À droite</li>
                    <li>↖ Au dessus à gauche</li>
                    <li>↗ Au dessus à droite</li>
                    <li>↙ En dessous à gauche</li>
                    <li>↘ En dessous à droite</li>
                </ul>
                Default: ↑ Above
            </td>
            <td>Position de l'étiquette par rapport au point.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/appearance.svg" alt="Appearance icon"></td>
            <td>Style du point</td>
            <td>Enumeration</td>
            <td>
                <ul>
                    <li>●</li>
                    <li>✕</li>
                    <li>＋</li>
                </ul>
                Par défaut : ●
            </td>
            <td>Style visuel de la représentation des points.</td>
        </tr>
    </tbody>
</table>

<span id="textes"></span>

#### ![Icône](https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/objects/Text.svg) Textes

<table>
    <thead>
        <tr>
            <th>Icône</th>
            <th>Propriété</th>
            <th>Type</th>
            <th>Valeur</th>
            <th>Commentaire</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/position.svg" alt="Icône de position"></td>
            <td>X</td>
            <td>Expression</td>
            <td>Par défaut : 1</td>
            <td>Position du texte sur l'axe des abscisses.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/position.svg" alt="Icône de position"></td>
            <td>Y</td>
            <td>Expression</td>
            <td>Par défaut : 0</td>
            <td>Position du texte sur l'axe des ordonnées.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/arrow.svg" alt="Icône de toutes les directions"></td>
            <td>Position de l'étiquette</td>
            <td>Enumeration</td>
            <td>
                <ul>
                    <li>>|< Centré</li>
                    <li>↑ Au dessus</li>
                    <li>↓ En dessous</li>
                    <li>← À gauche</li>
                    <li>→ À droite</li>
                    <li>↖ Au dessus à gauche</li>
                    <li>↗ Au dessus à droite</li>
                    <li>↙ En dessous à gauche</li>
                    <li>↘ En dessous à droite</li>
                </ul>
                Par défaut : >|< Centré
            </td>
            <td>Position de l'étiquette par rapport à la position.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/label.svg" alt="Icône d'étiquette"></td>
            <td>Contenu</td>
            <td>Chaîne</td>
            <td>Par défaut : Nouveau texte</td>
            <td>Contenu de l'élément de texte.</td>
        </tr>
    </tbody>
</table>

<span id="fonctions"></span>

#### ![Icône](https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/objects/Function.svg) Fonctions

<table>
    <thead>
        <tr>
            <th>Icône</th>
            <th>Propriété</th>
            <th>Type</th>
            <th>Valeur</th>
            <th>Commentaire</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/settings/custom/Expression.svg" alt="Icône d'expression"></td>
            <td>Expression</td>
            <td>Expression</td>
            <td>Par défaut : x</td>
            <td>Expression de la fonction (en fonction de la variable <i>x</i>).</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/settings/custom/Definition%20Domain.svg" alt="Icône du domaine de définition"></td>
            <td>Domaine de définition</td>
            <td>Domaine</td>
            <td>Par défaut : ℝ⁺*</td>
            <td>Domaine de définition de la fonction.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/settings/custom/Destination%20Domain.svg" alt="Icône de portée"></td>
            <td>Portée</td>
            <td>Domaine</td>
            <td>Par défaut : ℝ</td>
            <td>Portée de la fonction</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/arrow.svg" alt="Icône de toutes directions"></td>
            <td>Position de l'étiquette</td>
            <td>Enumeration</td>
            <td>
                <ul>
                    <li>↑ Au dessus</li>
                    <li>↓ En dessous</li>
                    <li>← À gauche</li>
                    <li>→ À droite</li>
                    <li>↖ Au dessus à gauche</li>
                    <li>↗ Au dessus à droite</li>
                    <li>↙ En dessous à gauche</li>
                    <li>↘ En dessous à droite</li>
                </ul>
                Par défaut : ↑ Au dessus
            </td>
            <td>Position de l'étiquette par rapport à la position.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/appearance.svg" alt="Icône d'apparence"></td>
            <td>Mode d'affichage</td>
            <td>Enumeration</td>
            <td>
                <ul>
                    <li>
                        Application:<br>
                        <table>
                            <tr>
                                <td>nom:</td>
                                <td>domaine</td>
                                <td>↦</td>
                                <td>portée</td>
                            </tr>
                            <tr>
                                <td></td>
                                <td>x</td>
                                <td>→</td>
                                <td>expression</td>
                            </tr>
                       </table>
                    </li>
                    <li>
                        Fonction:<br>
                        nom(x) = expression
                    </li>
                </ul>
                Par défaut : Application
            </td>
            <td>Style d'affichage de l'étiquette de la fonction.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/position.svg" alt="Icône de position"></td>
            <td>Position en X de l'étiquette</td>
            <td>nombre</td>
            <td>Par défaut : 1</td>
            <td>Position de base pour le label de la fonction en fonction de la position de l'axe des abscisses spécifiée et de son axe des ordonnées correspondant de la fonction.</td>
        </tr>
        <tr>
            <td></td>
            <td>Afficher les points</td>
            <td>Booléen</td>
            <td>Vrai de faux<br>
                Par défaut : vrai</td>
            <td>Quand un domaine non continu est utilisé (par exemple ℕ, ℤ, des ensembles comme {0;3}), la fonction peut être affichée en utilisant des points aux endroits où la fonction est définie. En décochant cette option, les points sont masqués.</td>
        </tr>
        <tr>
            <td></td>
            <td>Afficher les pointillées</td>
            <td>Booléen</td>
            <td>Vrai de faux<br>
                Par défaut : vrai</td>
            <td>Lorsque le domaine utilisé n'est pas continu (par exemple ℕ, ℤ, des ensembles comme {0;3}) la fonction peut être affichée en pointillés entre aux points où la fonction est définie. En décochant cette option, les lignes en pointillés sont masquées.</td>
        </tr>
    </tbody>
</table>

<span id="gain-de-bode"></span>
#### ![Icône](https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/objects/Gain%20Bode.svg) Gain de Bode

<table>
    <thead>
        <tr>
            <th>Icône</th>
            <th>Propriété</th>
            <th>Type</th>
            <th>Valeur</th>
            <th>Commentaire</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/angle.svg" alt="Angle icon"></td>
            <td>ω<sub>0</sub></td>
            <td>Point</td>
            <td>Par défaut, un point nouvellement créé préfixé par ω dans (1,0).</td>
            <td>Utilisé comme base pour le début/la fin du côté transitionnel de la gain de Bode également.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/settings/custom/Pass.svg" alt="Icône du passe de Bode"></td>
            <td>Passe</td>
            <td>Enumeration</td>
            <td>
                <ul>
                    <li>Haut</li>
                    <li>Bas</li>
                </ul>
                Par défaut : Haut
            </td>
            <td>Type de passe de gain de Bode utilisé pour cet objet.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/settings/custom/Gain.svg" alt="Icône de gain"></td>
            <td>Gain</td>
            <td>Expression</td>
            <td>
                Par défaut : 20
            </td>
            <td>Nombre de décibels par décennie utilisés pour le gain de bode (doit être positif pour un passe haut, et négatif pour un passe bas).</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/arrow.svg" alt="Icône directions"></td>
            <td>Position de l'étiquette</td>
            <td>Enumeration</td>
            <td>
                <ul>
                    <li>↑ Au dessus</li>
                    <li>↓ En dessous</li>
                    <li>← À gauche</li>
                    <li>→ À droite</li>
                    <li>↖ Au dessus à gauche</li>
                    <li>↗ Au dessus à droite</li>
                    <li>↙ En dessous à gauche</li>
                    <li>↘ En dessous à droite</li>
                </ul>
                Par défaut : ↓ En dessous
            </td>
            <td>Position de l'étiquette par rapport à la position.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/position.svg" alt="Icône de position"></td>
            <td>Position en X de l'étiquette</td>
            <td>nombre</td>
            <td>Par défaut : 1</td>
            <td>Position de base pour le label de la fonction en fonction de la position de l'axe des abscisses spécifiée et de son axe des ordonnées correspondant sur la fonction.</td>
        </tr>
        <tr>
            <td></td>
            <td>Afficher la graduation sur ω<sub>0</sub></td>
            <td>Booléen</td>
            <td>Vrai ou faux<br>
                Par defaut: faux</td>
            <td>Si coché, montrera une ligne verticale en pointillés sur le dessus du ω<sub>0</sub> assigné.</td>
        </tr>
    </tbody>
</table>

<span id="somme-des-gains-de-bode"></span>

#### ![Icône](https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/objects/Somme%20gains%20Bode.svg) Somme des gains de Bode

<table>
    <thead>
        <tr>
            <th>Icône</th>
            <th>Propriété</th>
            <th>Type</th>
            <th>Valeur</th>
            <th>Commentaire</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/arrow.svg" alt="Icône directions"></td>
            <td>Position de l'étiquette</td>
            <td>Enumeration</td>
            <td>
                <ul>
                    <li>↑ Au dessus</li>
                    <li>↓ En dessous</li>
                    <li>← À gauche</li>
                    <li>→ À droite</li>
                    <li>↖ Au dessus à gauche</li>
                    <li>↗ Au dessus à droite</li>
                    <li>↙ En dessous à gauche</li>
                    <li>↘ En dessous à droite</li>
                </ul>
                Par défaut : ↑ Au dessus
            </td>
            <td>Position de l'étiquette par rapport à la position.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/position.svg" alt="Icône de position"></td>
            <td>Position en X de l'étiquette</td>
            <td>nombre</td>
            <td>Par défaut : 1</td>
            <td>Position de base pour l'étiquette de la magnitude du bode sur la base de la position spécifiée de l'axe des abscisses et de son axe des ordonnées correspondant du gain du bode.</td>
        </tr>
    </tbody>
</table>

<span id="phases-de-bode"></span>

#### ![Icône](https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/objects/Phase%20Bode.svg) Phases de Bode

<table>
    <thead>
        <tr>
            <th>Icône</th>
            <th>Propriété</th>
            <th>Type</th>
            <th>Valeur</th>
            <th>Commentaire</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/angle.svg" alt="Icône d'angle"></td>
            <td>ω<sub>0</sub></td>
            <td>Point</td>
            <td>Par défaut, un point nouvellement créé préfixé par ω dans (1,0).</td>
            <td>Utilisé comme base pour le début/fin du côté transitionnel de la phase de bode également.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/angle.svg" alt="Icône d'angle"></td>
            <td>Phase</td>
            <td>Expression</td>
            <td>
                Par défaut : 90
            </td>
            <td>Montant de phase (défini dans l'unité ci-dessous) utilisé pour la phase du bode.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/angle.svg" alt="Angle icon"></td>
            <td>Unité à utiliser</td>
            <td>Enumeration</td>
            <td>
                <ul>
                    <li>°</li>
                    <li>deg</li>
                    <li>rad</li>
                </ul>
                Par défaut : °
            </td>
            <td>Unité de la phase à utiliser (utilisée pour l'affichage).</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/arrow.svg" alt="Arrows icon"></td>
            <td>Position de l'étiquette</td>
            <td>Enumeration</td>
            <td>
                <ul>
                    <li>↑ Au dessus</li>
                    <li>↓ En dessous</li>
                    <li>← À gauche</li>
                    <li>→ À droite</li>
                    <li>↖ Au dessus à gauche</li>
                    <li>↗ Au dessus à droite</li>
                    <li>↙ En dessous à gauche</li>
                    <li>↘ En dessous à droite</li>
                </ul>
                Par défaut : ↓ En dessous
            </td>
            <td>Position de l'étiquette par rapport à la position.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/position.svg" alt="Icône de position"></td>
            <td>Position en X de l'étiquette</td>
            <td>nombre</td>
            <td>Par défaut : 1</td>
            <td>Position de base pour le label de la fonction en fonction de la position de l'axe des abscisses spécifiée et de son axe des ordonnées correspondant sur la fonction.</td>
        </tr>
    </tbody>
</table>

<span id="somme-des-phases-de-bode"></span>

#### ![Icône](https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/objects/Somme%20phases%20Bode.svg) Somme des phases de Bode

<table>
    <thead>
        <tr>
            <th>Icône</th>
            <th>Propriété</th>
            <th>Type</th>
            <th>Valeur</th>
            <th>Commentaire</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/arrow.svg" alt="Icône directions"></img></td>
            <td>Position de l'étiquette</td>
            <td>Enumeration</td>
            <td>
                <ul>
                    <li>↑ Au dessus</li>
                    <li>↓ En dessous</li>
                    <li>← À gauche</li>
                    <li>→ À droite</li>
                    <li>↖ Au dessus à gauche</li>
                    <li>↗ Au dessus à droite</li>
                    <li>↙ En dessous à gauche</li>
                    <li>↘ En dessous à droite</li>
                </ul>
                Default: ↑ Au dessus
            </td>
            <td>Position de l'étiquette par rapport à la position.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/position.svg" alt="Icône de position"></td>
            <td>Position en X de l'étiquette</td>
            <td>nombre</td>
            <td>Par défaut : 1</td>
            <td>Position de base pour l'étiquette de la phase de bode sur la base de la position spécifiée de l'axe des abscisses et de son axe y correspondant de la phase de bode.</td>
        </tr>
    </tbody>
</table>

<span id="curseurs-x"></span>

#### ![Icône](https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/objects/X%20Cursor.svg) Curseurs X

<table>
    <thead>
        <tr>
            <th>Icône</th>
            <th>Propriété</th>
            <th>Type</th>
            <th>Valeur</th>
            <th>Commentaire</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/position.svg" alt="Icône de position"></td>
            <td>X</td>
            <td>Expression</td>
            <td>Par défaut : 1</td>
            <td>Position du curseur sur l'axe des abscisses.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/target.svg" alt="Icône cible"></td>
            <td>Objet à cibler</td>
            <td>Objet exécutable*</td>
            <td>Par défaut : aucun objet n'est sélectionné.</td>
            <td>
                Objet cible dont il faut afficher la valeur par l'intermédiaire du curseur X.<br>
                *Les objets exécutables sont des objets qui prennent des valeurs tout au long de l'axe des abscisses avec une valeur correspondante sur l'axe des ordonnées. Les fonctions, les gains et les phases de bode, les séquences et les distributions sont qualifiées comme telles.
            </td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/arrow.svg" alt="Icône directions"></td>
            <td>Position de l'étiquette</td>
            <td>Enumeration</td>
            <td>
                <ul>
                    <li>↑ Au dessus</li>
                    <li>↓ En dessous</li>
                    <li>← À gauche</li>
                    <li>→ À droite</li>
                    <li>↖ Au dessus à gauche</li>
                    <li>↗ Au dessus à droite</li>
                    <li>↙ En dessous à gauche</li>
                    <li>↘ En dessous à droite</li>
                </ul>
                Default: ← À gauche
            </td>
            <td>Position de l'étiquette par rapport à sa position.</td>
        </tr>
        <tr>
            <td></td>
            <td>Afficher la valeur approximative</td>
            <td>Booléen</td>
            <td>Vrai ou faux<br>
                Par défaut : vrai</td>
            <td>Lorsque cette option est cochée, le curseur affichera une version approximative de la valeur de l'objet ciblé à un x donné à côté de la valeur de l'expression simplifiée.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/settings/custom/Rounding.svg" alt="Icône d'arrondi"></td>
            <td>Arrondi</td>
            <td>nombre</td>
            <td>Par défaut : 3</td>
            <td>Arrondi de la valeur approchée.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/arrow.svg" alt="Arrows icon"></td>
            <td>Style d'affichage</td>
            <td>Enumeration</td>
            <td>
                <ul>
                    <li><s>&nbsp;&nbsp;</s>&nbsp;&nbsp;<s>&nbsp;&nbsp;</s>&nbsp;&nbsp;<s>&nbsp;&nbsp;</s>&nbsp;&nbsp;<s>&nbsp;&nbsp;</s></li>
                    <li><s>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</s></li>
                    <li>• • •</li>
                </ul>
                Par défaut : <s>&nbsp;&nbsp;</s>&nbsp;&nbsp;<s>&nbsp;&nbsp;</s>&nbsp;&nbsp;<s>&nbsp;&nbsp;</s>&nbsp;&nbsp;<s>&nbsp;&nbsp;</s>
            </td>
            <td>Style de la barre verticale du curseur.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/position.svg" alt="Icône de position"></td>
            <td>Position de la valeur de la cible</td>
            <td>Enumeration</td>
            <td>
                <ul>
                    <li>À coté de la cible</li>
                    <li>Avec l'étiquette</li>
                    <li>Caché</li>
                </ul>
                Par défaut : À coté de la cible
            </td>
            <td>Position de la valeur de la cible sur le curseur x. Si vous utilisez "À coté de la cible", elle se trouvera à l'intersection entre la cible et la barre verticale du curseur, tandis que "Avec l'étiquette" la place juste en dessous du nom et de la position du curseur.</td>
        </tr>
    </tbody>
</table>

<span id="suites"></span>

#### ![Icône](https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/objects/Sequence.svg) Suites

<table>
    <thead>
        <tr>
            <th>Icône</th>
            <th>Propriété</th>
            <th>Type</th>
            <th>Valeur</th>
            <th>Commentaire</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td></td>
            <td>Afficher les points</td>
            <td>Booléen</td>
            <td>Vrai de faux<br>
                Par défaut : vrai</td>
            <td>Les suites sont affichées en utilisant des points à chaque entier des points où la suite est définie. En décochant cette case, les points sont cachés..</td>
        </tr>
        <tr>
            <td></td>
            <td>Afficher les pointillées</td>
            <td>Booléen</td>
            <td>Vrai de faux<br>
                Par défaut : vrai</td>
            <td>Les suites sont affichées en pointillés entre les points où la suite est définie. En décochant cette option, les lignes en pointillés sont masquées..</td>
        </tr>
        <tr>
            <td></td>
            <td>Expression</td>
            <td>Dictionnaire (longueur fixe à 1, la clé est un nombre, la valeur une expression)</td>
            <td>var[n+k] = expression<br>
                Par défaut :<br>var=u, k=1, expression=n<br>u[n+1] = n</td>
            <td>Remarque : L'expression est définie par la variable <i>n</i>. Vous pouvez utiliser la syntaxe array pour accéder aux valeurs précédentes. Par exemple, pour la variable u, vous pouvez définir <i>u</i>[<i>n</i>+1] en fonction de <i>u</i>[<i>n</i>] ou <i>u</i>[<i>n</i>+2] en fonction de <i>u</i>[<i>n</i>] et <i>u</i>[<i>n</i>+1] pour une définition récursive.</td>
        </tr>
        <tr>
            <td></td>
            <td>Valeurs d'initialisation</td>
            <td>Dictionnaire (la clé est un nombre, la valeur une expression)</td>
            <td>var[k] = expr<br>
                Par défaut :<br>var=u, k=0, expr=1<br>u[0] = 1</td>
            <td>Remarque : Vous avez besoin d'autant de valeurs d'initialisation (qui peuvent être ajoutées à l'aide du bouton "Ajouter une entrée" et supprimées à l'aide des boutons "poubelle") que <i>k</i>.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/arrow.svg" alt="Arrows icon"></td>
            <td>Position de l'étiquette</td>
            <td>Enumeration</td>
            <td>
                <ul>
                    <li>↑ Au dessus</li>
                    <li>↓ En dessous</li>
                    <li>← À gauche</li>
                    <li>→ À droite</li>
                    <li>↖ Au dessus à gauche</li>
                    <li>↗ Au dessus à droite</li>
                    <li>↙ En dessous à gauche</li>
                    <li>↘ En dessous à droite</li>
                </ul>
                Par défaut : ← À gauche
            </td>
            <td>Position de l'étiquette par rapport à la position.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/position.svg" alt="Position icon"></td>
            <td>Position en X de l'étiquette</td>
            <td>nombre</td>
            <td>Par défaut : 1</td>
            <td>Position de base pour l'étiquette de la suite basée sur la position spécifiée de l'axe x (entier) et de l'axe y correspondant de la suite.</td>
        </tr>
    </tbody>
</table>

<span id="repartitions"></span>

#### ![Icon](https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/objects/Repartition.svg) Répartitions

<table>
    <thead>
        <tr>
            <th>Icône</th>
            <th>Propriété</th>
            <th>Type</th>
            <th>Valeur</th>
            <th>Commentaire</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/arrow.svg" alt="Icône directions"></td>
            <td>Position de l'étiquette</td>
            <td>Enumeration</td>
            <td>
                <ul>
                    <li>↑ Au dessus</li>
                    <li>↓ En dessous</li>
                    <li>← À gauche</li>
                    <li>→ À droite</li>
                    <li>↖ Au dessus à gauche</li>
                    <li>↗ Au dessus à droite</li>
                    <li>↙ En dessous à gauche</li>
                    <li>↘ En dessous à droite</li>
                </ul>
                Par défaut : ← À gauche
            </td>
            <td>Position de l'étiquette par rapport à la position.</td>
        </tr>
        <tr>
            <td><img src="https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/position.svg" alt="Position icon"></td>
            <td>Position en X de l'étiquette</td>
            <td>nombre</td>
            <td>Par défaut : 1</td>
            <td>Position de base pour l'étiquette de la distribution en fonction de la position spécifiée de l'axe x et de son axe y correspondant de la distribution.</td>
        </tr>
        <tr>
            <td></td>
            <td>Liste de probabilités</td>
            <td>Dictionnaire (la clé est un nombre, la valeur un nombre)</td>
            <td>P(var=k) = valeur<br>
                Default:<br>var=X, k=0, expr=1<br>P(X=0) = 0</td>
            <td>Note : Vous avez besoin d'autant de probabilités que nécessaire (qui peuvent être ajoutées grâce au bouton "Ajouter une entrée" et supprimées avec les boutons poubelle) que <i>k</i>. Le graphique affiché sera la fonction de distribution.</td>
        </tr>
    </tbody>
</table>

<span id="Manuel-d'utilisation-%3A-Chapitre-3"></span>
## Positionnement des objets
Plusieurs objets qui dépendent de la position peuvent être placés sur le graphique avec votre souris en utilisant l'interface "Positionnement". Cette interface est accessible par le bouton ![Icône de positionnement](https://git.ad5001.eu/Ad5001/LogarithmPlotter/raw/branch/master/LogarithmPlotter/qml/eu/ad5001/LogarithmPlotter/icons/common/position.svg) que l'on peut voir sur certaines lignes d'objets.

Liste des objets supportés :

- Points
- Textes
- X Curseurs¹

![Capture d'écran de l'interface du pointeur](https://apps.ad5001.eu/img/fr/logarithmplotter/pointer.png)

Cliquez sur l'emplacement souhaité pour l'appliquer à l'objet sélectionné.

¹ Remarque : le curseur X ne permet que le positionnement en X ; vous ne verrez donc que la barre verticale qui lui est associée.

### Paramètres
Deux paramètres sont disponibles sur l'interface :

Le paramètre "Précision du pointeur" vous permet de définir le nombre de chiffres de précision du curseur. Par exemple, un pointeur avec une précision de `2` arrondira toutes les positions pointées à `2` chiffres après la virgule. Si vous définissez une précision de `0`, toutes les positions seront arrondies à des nombres entiers.

La case à cocher "Placement sur la grille" arrondit la position sélectionnée à l'intersection la plus proche de la grille. C'est utile pour les échelles logarithmiques lorsque vous voulez sélectionner rapidement une position logarithmique arrondie à quelques centaines ou milliers.

